CCCCCCCCCCCCCCCCCCCCCCCCCC
C
C particle position & weight information
C
CCCCCCCCCCCCCCCCCCCCCCCCCC

      integer Nmaxpart, NDIM
      parameter ( Nmaxpart = 200000 , NDIM = 3 )

      integer octant( Nmaxpart ), nptcl
      real*4 xyzp( NDIM , Nmaxpart ), wp( Nmaxpart ), LBOXH
      real*4 wpmean, wp2mean

      ! box size now read in as input parameter.
      !parameter ( LBOXH = 120.0 ) ! box size in h^-1 Mpc co-moving.

      common /PARTICLES/ xyzp, wp, wpmean, wp2mean, octant, nptcl
      common /BOX_SIZE / LBOXH
CCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C Particle Chaining Mesh
C
CCCCCCCCCCCCCCCCCCCCCCCCCCC

      integer Ngridmax, Ngrid
      parameter ( Ngridmax=32 )

      integer pcell( Ngridmax, Ngridmax, Ngridmax )
      integer llp( Nmaxpart )

      REAL*4 Lcell

      COMMON / CHAIN_MESH / Lcell, pcell, llp, Ngrid
CCCCCCCCCCCCCCCCCCCCCCCCCCC

CCCCCCCCCCCCCCCCCCCCCCCCCCC
C
C   pair counts
C
CCCCCCCCCCCCCCCCCCCCCCCCCCC

      integer Nmaxbin ! maximum number of separation bins !
      integer Noctnum ! number of distinct correlation functions, 
                      ! 1 total, 8 for jack-knife error.
      parameter ( Nmaxbin = 50 )
      parameter ( Noctnum = 9 )

C--------------------
c number of pairs and number of pairs weighted appropriately
C--------------------
      real*8 npairs( Noctnum , Nmaxbin )
      real*4 nwpairs( Noctnum , Nmaxbin )
      
      common /PAIRCOUNT/ npairs, nwpairs

CCCCCCCCCCCCCCCCCCCCCCCCCCC
